<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('dataset', function (Blueprint $table) {
            // $table->integer('ms_tabel_data_id');
            // $table->dropColumn('template_id');
            $table->integer('ms_tabel_data_id')->default(1);

            // $table->foreign('ms_tabel_data_id')->references('MsTabelDataId')->on('ms_tabel_data')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('dataset', function (Blueprint $table) {
            //
        });
    }
};
